Name:           hercstudio
Version:        1.5.0
Release:        4%{?dist}
Summary:        GUI front-end to the Hercules mainframe Emulator

Group:          Applications/Emulators
License:        GPLv3+
URL:            http://www.mvsdasd.org/hercstudio/
Source0:        http://www.mvsdasd.org/hercstudio/herculesstudio-%{version}-src.tar.gz
Source1:        %{name}.desktop
# make build verbose
Patch0:         herculesstudio-1.5.0-verbose-build.patch

BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  desktop-file-utils
Requires:       hercules >= 3.06-4


%description
GUI front-end to the Hercules mainframe Emulator.


%prep
%setup -q -c
%patch0 -p1 -b .verbose-build


%build
%{_qt5_qmake}
make %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps

install -p -m 755 HerculesStudio $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 HercStudio/icons/tray.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/hercstudio.xpm

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}


%files
%doc COPYING
%{_bindir}/HerculesStudio
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.5.0-3
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 28 2014 Dan Horák <dan[at]danny.cz> - 1.5.0-1
- update to 1.5.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jan 06 2013 Dan Horák <dan[at]danny.cz> - 1.4.0-1
- update to 1.4.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for c++ ABI breakage

* Sun Jan 15 2012 Dan Horák <dan[at]danny.cz> - 1.3.0-3
- fix unistd.h include

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 14 2011 Dan Horák <dan[at]danny.cz> - 1.3.0-1
- update to 1.3.0

* Fri Apr 29 2011 Dan Horák <dan[at]danny.cz> - 1.2.0-3
- fix build with gcc 4.6

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 19 2010 Dan Horák <dan[at]danny.cz> - 1.2.0-1
- update to 1.2.0

* Sat Jan 16 2010 Dan Horák <dan[at]danny.cz> - 1.1.0-1
- update to 1.1.0

* Mon Jan 11 2010 Dan Horák <dan[at]danny.cz> - 1.0.0-3
- rebuilt with updated source archive

* Tue Nov 24 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.0.0-2
- rebuild for Qt 4.6.0 RC1 in F13 (was built against Beta 1 with unstable ABI)

* Fri Oct 16 2009 Dan Horák <dan[at]danny.cz> - 1.0.0-1
- update to 1.0.0

* Mon Sep  7 2009 Dan Horák <dan[at]danny.cz> - 1.0-0.2.beta
- add patch for panel buttons from upstream

* Mon Sep  7 2009 Dan Horák <dan[at]danny.cz> - 1.0-0.1.beta
- initial Fedora version
